System.ServiceModel 4.0.0.0 System.ServiceModel.ProtocolException

This exception is typically thrown when there are too many headers or headers are missing from the message. This can include infrastructure headers such as the Action and Reliable Message headers. This exception derives from , which in turn derives from . The class represents a class of recoverable errors that may be thrown during communication between endpoints and that robust indigo1 client and service applications are expected to handle. To prevent the more generic handler from catching the more specific , catch this exception prior to handling .

The exception that is thrown when the expectations regarding headers of a SOAP message are not satisfied when the message is processed.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Use this constructor when you want to pass an error message to the user. The content of the message parameter should be understandable to the intended users.

  Initializes a new instance of the class with the specified message.

- Constructor
  4.0.0.0

  This constructor is called during deserialization to restore the exception object transmitted over a stream.

  Initializes a new instance of the class used to deserialize data into a object.

  The that holds the serialized object data about the exception being thrown.
  The that contains contextual information about the source or destination.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified message and a value that indicates whether the message header is a duplicate or is missing.

  The exception message.
  true if the multiple message header is a duplicate; false if there are no message headers.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Use this constructor when you want to pass an error message and information about an inner exception up to the user. The content of the message parameter should be understandable to the intended users.

  An exception that is thrown as a direct result of a previous exception can include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor or a null reference (Nothing in Visual Basic) if the property does not supply the inner exception value to the constructor.

  Initializes a new instance of the class using the specified message and the inner exception that caused the exception.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified message, header name and namespace.

  The exception message.
  The name of the message header.
  The namespace of the message header.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified message, header name and namespace, and a value that indicates whether the message header is a duplicate or is missing.

  The exception message.
  The name of the message header.
  The namespace of the message header.
  true if the multiple message header is a duplicate; false if there are no message headers.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified message, header name and namespace, and the inner exception that caused the exception.

  The exception message.
  The name of the message header.
  The namespace of the message header.
  The that contains the inner exception that caused the exception.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified message, header name and namespace, a value that indicates whether the message header is a duplicate or is missing, and the inner exception that caused the exception.

  The exception message.
  The name of the message header.
  The namespace of the message header.
  true if the multiple message header is a duplicate; false if there are no message headers.
  The that contains the inner exception that caused the exception.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the SOAP header that caused the exception.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the namespace of the SOAP header that caused the exception.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether there are multiple message headers or no message headers.